% PLOTSLAB is used to represent the geometry of the subducting slab at the final
% time of evolution
x2=x1-L*cot(dip)*(1-cos(dip));
x0=x2+L*sin(dip);		% x0 is the x-coordinate of the corner point at which the slab turns to subduct into the mantle
x3=x0+Vs*cos(dip)*tend;		% x-coordinates of the tip of the base (x3) and top (x4) of the slab
x4=x3-L*sin(dip);
xpp3=hc*(1-cos(dip))/sin(dip)+x1; %  x-coordinate of de left point of the base of the crust
xp3=x4+hc*sin(dip);

xz2=[x4:1000:x1];
xz3=[x4:1000:x3];
xz4=[x3:1000:x0];
xzc4=[xp3:1000:xpp3];
xsur=[x1:1000:xend];
xlit=[x0:1000:xend];
xcr=[xpp3:1000:xend];

% equation of the top of the slab (z2)
z2=tan(dip).*xz2+za+L-tan(dip)*x1;	
    c=za+Vs*sin(dip)*tend+cot(dip)*(x0+Vs*cos(dip)*tend);
    z2=z2-depth;
% equation of the front of the slab (z3)
z3=-cot(dip).*xz3+c;			
    z3=z3-depth;
% equation of the base of the slab (z4)
z4=tan(dip).*xz4+za-tan(dip)*x0;		
    z4=z4-depth;
% equation of the base of the crustal zone of the slab (zc4)
zc4=tan(dip).*xzc4+depth-hc-xpp3*tan(dip);
    zc4=zc4-depth;

[r,c]=size(xlit);
zlit(1:c)=depth-L;
    zlit=zlit-depth;
[r,c]=size(xcr);
zcr(1:c)=depth-hc;
    zcr=zcr-depth;
hold on
plot(xz2,z2);
plot(xz3,z3);
plot(xz4,z4);
plot(xzc4,zc4);
plot(xlit,zlit);
plot(xcr,zcr);
clear xcr zcr xlit zlit z2 z3 z4 zc4 xz2 xz3 xz4 xzc4